import StiPadding from "../../../../properties/StiPadding";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
export declare class StiPaddingEditorComponent {
    model: StiModelService;
    property: StiEditorProperty;
    PADDINGS: string[];
    CLASSES: string[];
    constructor(model: StiModelService);
    get padding(): StiPadding;
    setPadding(str: string, padding: string): void;
    isValid(value: number, padding: string): boolean;
}
